PagedRangeCommand (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class PagedRangeCommand

- java.lang.Object
- - org.apache.cassandra.db.AbstractRangeCommand
  - - org.apache.cassandra.db.PagedRangeCommand

- All Implemented Interfaces:
    IReadCommand

      public class PagedRangeCommand
      extends AbstractRangeCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `limit`
    `static IVersionedSerializer<PagedRangeCommand>` | `serializer`
    `Composite` | `start`
    `Composite` | `stop`

    - ### Fields inherited from class org.apache.cassandra.db.AbstractRangeCommand

      `columnFamily, keyRange, keyspace, predicate, rowFilter, searcher, timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagedRangeCommand(java.lang.String keyspace, java.lang.String columnFamily, long timestamp, AbstractBounds<RowPosition> keyRange, SliceQueryFilter predicate, Composite start, Composite stop, java.util.List<IndexExpression> rowFilter, int limit, boolean countCQL3Rows)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `countCQL3Rows()`
    `MessageOut<PagedRangeCommand>` | `createMessage()`
    `java.util.List<Row>` | `executeLocally()`
    `AbstractRangeCommand` | `forSubRange(AbstractBounds<RowPosition> subRange)`
    `int` | `limit()`
    `java.lang.String` | `toString()`
    `AbstractRangeCommand` | `withUpdatedLimit(int newLimit)`

    - ### Methods inherited from class org.apache.cassandra.db.AbstractRangeCommand

      `getKeyspace, getTimeout, ignoredTombstonedPartitions, postReconciliationProcessing, requiresScanningAllRanges`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<PagedRangeCommand> serializer

    - #### start

          public final Composite start

    - #### stop

          public final Composite stop

    - #### limit

          public final int limit

  - ### Constructor Detail

    - #### PagedRangeCommand

          public PagedRangeCommand(java.lang.String keyspace,
                                   java.lang.String columnFamily,
                                   long timestamp,
                                   AbstractBounds<RowPosition> keyRange,
                                   SliceQueryFilter predicate,
                                   Composite start,
                                   Composite stop,
                                   java.util.List<IndexExpression> rowFilter,
                                   int limit,
                                   boolean countCQL3Rows)

  - ### Method Detail

    - #### createMessage

          public MessageOut<PagedRangeCommand> createMessage()

      Specified by:
        `createMessage` in class `AbstractRangeCommand`

    - #### forSubRange

          public AbstractRangeCommand forSubRange(AbstractBounds<RowPosition> subRange)

      Specified by:
        `forSubRange` in class `AbstractRangeCommand`

    - #### withUpdatedLimit

          public AbstractRangeCommand withUpdatedLimit(int newLimit)

      Specified by:
        `withUpdatedLimit` in class `AbstractRangeCommand`

    - #### limit

          public int limit()

      Specified by:
        `limit` in class `AbstractRangeCommand`

    - #### countCQL3Rows

          public boolean countCQL3Rows()

      Specified by:
        `countCQL3Rows` in class `AbstractRangeCommand`

    - #### executeLocally

          public java.util.List<Row> executeLocally()

      Specified by:
        `executeLocally` in class `AbstractRangeCommand`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation